theme-sticky-header {
  --theme-sticky-header-top: 0;
  position: relative;
  inset-block-start: 0;
  z-index: calc(var(--z-index-fixed) - 1);
  display: block;
}
.theme-sticky-header--sticky {
  display: contents;
}
.theme-sticky-header--sticky theme-sticky-header {
  position: sticky;
  inset-block-start: var(--theme-sticky-header-top);
  backface-visibility: hidden;
}
@keyframes animation-header-sticky {
  0% {
    transform: translate3d(0, calc(-100% + var(--theme-sticky-header-top) * -1), 0);
  }
  100% {
    transform: translate3d(0, 0, 0);
  }
}
@keyframes animation-header-sticky-collapse {
  0% {
    transform: translate3d(0, 0, 0);
  }
  100% {
    transform: translate3d(0, calc(-100% + var(--theme-sticky-header-top) * -1), 0);
  }
}
